#ifndef PPI_H_
#define PPI_H_

#include <nrf52.h>
#include <nrf52_bitfields.h>

#define NRF52832_PPI_CHANNEL_31   31
#define NRF52832_PPI_CHANNEL_30   30
#define NRF52832_PPI_CHANNEL_29   29
#define NRF52832_PPI_CHANNEL_28   28
#define NRF52832_PPI_CHANNEL_27   27
#define NRF52832_PPI_CHANNEL_26   26
#define NRF52832_PPI_CHANNEL_25   25
#define NRF52832_PPI_CHANNEL_24   24
#define NRF52832_PPI_CHANNEL_23   23
#define NRF52832_PPI_CHANNEL_22   22
#define NRF52832_PPI_CHANNEL_21   21
#define NRF52832_PPI_CHANNEL_20   20
#define NRF52832_PPI_CHANNEL_19   19
#define NRF52832_PPI_CHANNEL_18   18
#define NRF52832_PPI_CHANNEL_17   17
#define NRF52832_PPI_CHANNEL_16   16
#define NRF52832_PPI_CHANNEL_15   15
#define NRF52832_PPI_CHANNEL_14   14
#define NRF52832_PPI_CHANNEL_13   13
#define NRF52832_PPI_CHANNEL_12   12
#define NRF52832_PPI_CHANNEL_11   11
#define NRF52832_PPI_CHANNEL_10   10
#define NRF52832_PPI_CHANNEL_9   	 9
#define NRF52832_PPI_CHANNEL_8   	 8
#define NRF52832_PPI_CHANNEL_7   	 7
#define NRF52832_PPI_CHANNEL_6  	 6
#define NRF52832_PPI_CHANNEL_5   	 5
#define NRF52832_PPI_CHANNEL_4   	 4
#define NRF52832_PPI_CHANNEL_3   	 3
#define NRF52832_PPI_CHANNEL_2     2
#define NRF52832_PPI_CHANNEL_1     1
#define NRF52832_PPI_CHANNEL_0   	 0

void configure_PPI(uint8_t channel, uint32_t event_reg_addr, uint32_t task_reg_addr);

#endif
